using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using StubAP.ViewModels;
using StubCore.Plugins.Migration;

namespace StubAP.Models
{
    public class MigrationModel
    {
        public readonly string _title = "Migration Tool";

        public MigrationViewModel ScanData()
        {          
            var _view = new MigrationViewModel();
            var _migration = new MigrationOperations();

            _view.isMigrated = true;

            if (_migration.ScanFolders() && _migration.ScanFiles())
            {
                _view.isMigrated = false;
            }

            return _view;
        }



    }
}